List browser origins
curl --request GET \
--url https://api.interchange.io/api/v2/browser-origins \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/browser-origins"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/browser-origins', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"origins": [
{
"id": "<string>",
"customerId": 4503599627370495,
"origin": "<string>",
"label": "<string>",
"createdByUserId": 4503599627370495,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Account
List browser origins
List exact browser origins allowed to call Interchange MCP and OAuth endpoints from the selected account. Admin-only. Customer-managed origins are CORS-enabled without credentialed cookie access; browser clients must use OAuth or explicit bearer tokens.
GET
/
browser-origins
List browser origins
curl --request GET \
--url https://api.interchange.io/api/v2/browser-origins \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/browser-origins"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/browser-origins', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"origins": [
{
"id": "<string>",
"customerId": 4503599627370495,
"origin": "<string>",
"label": "<string>",
"createdByUserId": 4503599627370495,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}